REST Resource: regionHealthSources

Resource: HealthSource

Represents a health source.

A health source resource specifies the source resources and the health aggregation policy applied to the source resources to determine the aggregated health status.

JSON representation
{
  "kind": string,
  "id": string,
  "creationTimestamp": string,
  "name": string,
  "description": string,
  "selfLink": string,
  "selfLinkWithId": string,
  "region": string,
  "sourceType": enum (HealthSourceType),
  "sources": [
    string
  ],
  "healthAggregationPolicy": string,
  "fingerprint": string
}
Fields
kind

string

Output only. Type of the resource. Always

compute#healthSource

for health sources.

id

string (uint64 format)

Output only. A unique identifier for this resource type. The server generates this identifier.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

name

string

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

description

string

An optional description of this resource. Provide this property when you create the resource.

region

string

Output only. URL of the region where the health source resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

sourceType

enum (HealthSourceType)

Specifies the type of the

HealthSource

. The only allowed value is

BACKEND_SERVICE

. Must be specified when the

HealthSource

is created, and cannot be mutated.

sources[]

string

URLs to the source resources. Must be size 1. Must be a

BackendService

if the

sourceType

is

BACKEND_SERVICE

. The

BackendService

must have load balancing scheme

INTERNAL

or

INTERNAL_MANAGED

and must be regional and in the same region as the

HealthSource

(cross-region deployment for

INTERNAL_MANAGED

is not supported). The

BackendService

may use only IGs, MIGs, or NEGs of type

GCE_VM_IP

or

GCE_VM_IP_PORT

. The

BackendService

may not use

haPolicy

. Can be mutated.

healthAggregationPolicy

string

URL to the

HealthAggregationPolicy

resource. Must be set. Must be regional and in the same region as the

HealthSource

. Can be mutated.

fingerprint

string (bytes format)

Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a

HealthSource

. An up-to-date fingerprint must be provided in order to patch the HealthSource; Otherwise, the request will fail with error

412 conditionNotMet

. To see the latest fingerprint, make a

get()

request to retrieve the HealthSource.

A base64-encoded string.

HealthSourceType

Enums
BACKEND_SERVICE

Methods

aggregatedList

The method compute.v1.RegionHealthSourcesService.AggregatedList is not available in Cloud de Confiance by S3NS.

delete

The method compute.v1.RegionHealthSourcesService.Delete is not available in Cloud de Confiance by S3NS.

get

The method compute.v1.RegionHealthSourcesService.Get is not available in Cloud de Confiance by S3NS.

insert

The method compute.v1.RegionHealthSourcesService.Insert is not available in Cloud de Confiance by S3NS.

list

The method compute.v1.RegionHealthSourcesService.List is not available in Cloud de Confiance by S3NS.

patch

The method compute.v1.RegionHealthSourcesService.Patch is not available in Cloud de Confiance by S3NS.

testIamPermissions

The method compute.v1.RegionHealthSourcesService.TestPermissions is not available in Cloud de Confiance by S3NS.